F2Pool Rewards Collected

Bitcoin earned by the pool from block subsidies and transaction fees over time

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/metrics/f2pool-rewards-collected/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each metric is fetched independently. Responses are trimmed samples to show structure.

2 metrics
Metric

F2pool Rewards Sum

Data used by the Rewards Collected chart.

Endpoint
https://newhedge.io/api/v2/metrics/f2pool-rewards-collected/f2pool_rewards_sum?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    50.18461628
  ],
  [
    1779062400000,
    69.19568518
  ],
  [
    1779148800000,
    47.16665571
  ]
]
Metric

F2pool Rewards Cumulative

Data used by the Rewards Collected chart.

Endpoint
https://newhedge.io/api/v2/metrics/f2pool-rewards-collected/f2pool_rewards_cumulative?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    1307212.48925908
  ],
  [
    1779062400000,
    1307281.68494426
  ],
  [
    1779148800000,
    1307328.85159997
  ]
]